<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
	<LangVersion>10</LangVersion>
	<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
    <PackageReference Include="System.Numerics.Vectors" Version="4.6.1" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="TrajectoryPlanningVisualization\**\*.cs" />
    <Compile Remove="tests\TrajectoryPlanningVisualizationVerificationHost\**\*.cs" />
    <Compile Remove="tests\EMPlannerVerificationHost\**\*.cs" />
    <Compile Remove="ParkrobTrajplanner\auto_avoidance\**\*.cs"
             Condition="'$(ExcludeLegacyAutoAvoidance)' == 'true'" />
  </ItemGroup>


  <ItemGroup>
    <ProjectReference Include="TrajectoryPlanningVisualization\TrajectoryPlanningVisualization.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="CommonUsage">
      <HintPath>ref\CommonUsage.dll</HintPath>
    </Reference>
    <Reference Include="LessokajiWeaverUtilities">
      <HintPath>ref\LessokajiWeaverUtilities.dll</HintPath>
    </Reference>
    <Reference Include="MDCSToolBox">
      <HintPath>ref\MDCSToolBox.dll</HintPath>
    </Reference>
    <Reference Include="ClumsyCore">
      <HintPath>ref\RefClumsyCore.dll</HintPath>
    </Reference>
    <Reference Include="ClumsyDance">
      <HintPath>ref\RefClumsyDance.dll</HintPath>
    </Reference>
    <Reference Include="FundamentalLib">
      <HintPath>ref\RefFundamentalLib.dll</HintPath>
    </Reference>
  </ItemGroup>
	

  <ItemGroup>
    <None Update="ThirdParty\OSQP\win-x64\osqp.dll"
          Link="osqp.dll" CopyToOutputDirectory="PreserveNewest" />
    <None Update="ThirdParty\OSQP\LICENSE"
          Link="licenses\OSQP-LICENSE.txt" CopyToOutputDirectory="PreserveNewest" />
    <None Update="ThirdParty\OSQP\NOTICE"
          Link="licenses\OSQP-NOTICE.txt" CopyToOutputDirectory="PreserveNewest" />
    <None Update="ThirdParty\OSQP\VERSION"
          Link="licenses\OSQP-VERSION.txt" CopyToOutputDirectory="PreserveNewest" />
  </ItemGroup>
</Project>
